import mathService, { MathService } from "@/services/math.service";

/**
 * @description: 截取文件后缀
 * @author ChenRui
 * @date 2021/3/24 18:17
 */
function encode(formula: string, precision: number) {
  return mathService.evaluate(formula, precision);
}
const mathFilter = (formula: string, precision = MathService.DEFAULT_PRECISION) => {
  return encode(formula, precision);
};

export default mathFilter;
